##
##  perl-time.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_time_date          1.1301
%define       V_time_hires         1.38
%define       V_date_manip         5.40
%define       V_date_calc          5.3
%define       V_class_date         1.1.6
%define       V_benchmark_timer    0.5
%define       V_benchmark_timer    0.5
%define       V_time_modules       2003.0211

#   package information
Name:         perl-time
Summary:      Perl Modules for Date/Time Handling
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20030325
Release:      20030325

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/Date/TimeDate-%{V_time_date}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/Time/Time-HiRes-%{V_time_hires}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/Date/DateManip-%{V_date_manip}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/Date/Date-Calc-%{V_date_calc}.tar.gz
Source4:      http://hacks.dlux.hu/Class-Date/download/Class-Date-%{V_class_date}.tar.gz
Source5:      http://www.cpan.org/authors/id/A/AN/ANDREWHO/Benchmark-Timer-%{V_benchmark_timer}.tar.gz
Source6:      http://www.cpan.org/modules/by-authors/id/MUIR/modules/Time-modules-%{V_time_modules}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl, perl-openpkg, perl-ds
PreReq:       OpenPKG, openpkg >= 20020206, perl, perl-openpkg, perl-ds
AutoReq:      no
AutoReqProv:  no

%description
    Various Perl modules for Date and Time handling:
    - Time::Date (%{V_time_date})
    - Time::HiRes (%{V_time_hires})
    - Date::Manip (%{V_date_manip})
    - Date::Calc (%{V_date_calc})
    - Class::Date (%{V_class_date})
    - Benchmark::Timer (%{V_benchmark_timer})
    - Time::Modules (%{V_time_modules})

%prep
    %setup0  -q -c
    %setup1  -q -T -D -a 1
    %setup2  -q -T -D -a 2
    %setup3  -q -T -D -a 3
    %setup4  -q -T -D -a 4
    %setup5  -q -T -D -a 5
    %setup6  -q -T -D -a 6

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE0}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE3}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE4}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE5}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE6}

    #   FIXME: remove the Date::Calc conflict files
    rm -rf $RPM_BUILD_ROOT$installsitearch/Carp

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

